Chromium Code Reviews
Help | Chromium Project | Sign in
(38)

Issue 11270018: [autofill] Adding new API to request an interactive autocomplete UI flow. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 years, 7 months ago by Dan Beam
Modified:
2 years, 6 months ago
CC:
chromium-reviews, dyu1, dhollowa+watch_chromium.org, jam, joi+watch-content_chromium.org, darin-cc_chromium.org, browser-components-watch_chromium.org, Ilya Sherman
Visibility:
Public.

Description

[autofill] Adding new API to request an interactive autocomplete UI flow. BUG=157661 Committed: http://src.chromium.org/viewvc/chrome?view=rev&revision=166019

Patch Set 1 #

Total comments: 17

Patch Set 2 : slice #

Patch Set 3 : do a barrel roll! #

Total comments: 15

Patch Set 4 : review feedback #

Total comments: 8

Patch Set 5 : jam@ review #

Patch Set 6 : moar review comments #

Patch Set 7 : newest #

Total comments: 27

Patch Set 8 : review #

Total comments: 2

Patch Set 9 : remove forward #

Total comments: 6

Patch Set 10 : isherman@ review #

Total comments: 2

Patch Set 11 : thestig@ review #

Patch Set 12 : webkit moved #

Patch Set 13 : 80 col #

Total comments: 9

Patch Set 14 : form_ -> currently_requesting_form_ #

Patch Set 15 : the winrar #

Patch Set 16 : if() -> DCHECK() #

Patch Set 17 : smaller codez == better codez #

Messages

Total messages: 44 (0 generated)
Dan Beam
reviewers/watchers, please ignore until further clarifications have been made regarding the design/API https://codereview.chromium.org/11270018/diff/1/content/browser/web_contents/web_contents_impl.cc File content/browser/web_contents/web_contents_impl.cc ...
2 years, 7 months ago (2012-10-24 20:48:34 UTC) #1
Dan Beam
2 years, 7 months ago (2012-10-24 20:48:51 UTC) #2
Evan Stade
https://codereview.chromium.org/11270018/diff/1/chrome/browser/autofill/autofill_manager.h File chrome/browser/autofill/autofill_manager.h (right): https://codereview.chromium.org/11270018/diff/1/chrome/browser/autofill/autofill_manager.h#newcode230 chrome/browser/autofill/autofill_manager.h:230: void OnRequestAutocomplete(const FormData& form); I don't know if this ...
2 years, 7 months ago (2012-10-24 21:59:44 UTC) #3
Dan Beam
ptal https://chromiumcodereview.appspot.com/11270018/diff/1/chrome/renderer/autofill/autofill_agent.cc File chrome/renderer/autofill/autofill_agent.cc (right): https://chromiumcodereview.appspot.com/11270018/diff/1/chrome/renderer/autofill/autofill_agent.cc#newcode219 chrome/renderer/autofill/autofill_agent.cc:219: // TODO(dbeam): should popups be hidden here? Maybe ...
2 years, 6 months ago (2012-10-26 03:06:05 UTC) #4
Evan Stade
https://chromiumcodereview.appspot.com/11270018/diff/1/content/public/renderer/render_view_observer.h File content/public/renderer/render_view_observer.h (right): https://chromiumcodereview.appspot.com/11270018/diff/1/content/public/renderer/render_view_observer.h#newcode85 content/public/renderer/render_view_observer.h:85: virtual void RequestAutocomplete(WebKit::WebFrame* frame, On 2012/10/26 03:06:05, Dan Beam ...
2 years, 6 months ago (2012-10-26 03:23:02 UTC) #5
Ilya Sherman
Looks pretty good! https://chromiumcodereview.appspot.com/11270018/diff/8001/chrome/browser/autofill/autofill_manager.h File chrome/browser/autofill/autofill_manager.h (right): https://chromiumcodereview.appspot.com/11270018/diff/8001/chrome/browser/autofill/autofill_manager.h#newcode230 chrome/browser/autofill/autofill_manager.h:230: void OnRequestAutocomplete(const FormData& form); You'll also ...
2 years, 6 months ago (2012-10-26 03:30:52 UTC) #6
Ilya Sherman
https://chromiumcodereview.appspot.com/11270018/diff/1/chrome/browser/autofill/autofill_manager.h File chrome/browser/autofill/autofill_manager.h (right): https://chromiumcodereview.appspot.com/11270018/diff/1/chrome/browser/autofill/autofill_manager.h#newcode230 chrome/browser/autofill/autofill_manager.h:230: void OnRequestAutocomplete(const FormData& form); On 2012/10/24 21:59:44, Evan Stade ...
2 years, 6 months ago (2012-10-26 03:35:28 UTC) #7
Evan Stade
https://chromiumcodereview.appspot.com/11270018/diff/1/content/public/renderer/render_view_observer.h File content/public/renderer/render_view_observer.h (right): https://chromiumcodereview.appspot.com/11270018/diff/1/content/public/renderer/render_view_observer.h#newcode85 content/public/renderer/render_view_observer.h:85: virtual void RequestAutocomplete(WebKit::WebFrame* frame, On 2012/10/26 03:35:28, Ilya Sherman ...
2 years, 6 months ago (2012-10-26 03:52:53 UTC) #8
Ilya Sherman
https://chromiumcodereview.appspot.com/11270018/diff/1/content/public/renderer/render_view_observer.h File content/public/renderer/render_view_observer.h (right): https://chromiumcodereview.appspot.com/11270018/diff/1/content/public/renderer/render_view_observer.h#newcode85 content/public/renderer/render_view_observer.h:85: virtual void RequestAutocomplete(WebKit::WebFrame* frame, On 2012/10/26 03:52:53, Evan Stade ...
2 years, 6 months ago (2012-10-26 04:03:33 UTC) #9
Evan Stade
https://chromiumcodereview.appspot.com/11270018/diff/1/content/public/renderer/render_view_observer.h File content/public/renderer/render_view_observer.h (right): https://chromiumcodereview.appspot.com/11270018/diff/1/content/public/renderer/render_view_observer.h#newcode85 content/public/renderer/render_view_observer.h:85: virtual void RequestAutocomplete(WebKit::WebFrame* frame, On 2012/10/26 04:03:33, Ilya Sherman ...
2 years, 6 months ago (2012-10-26 04:06:13 UTC) #10
Dan Beam
https://chromiumcodereview.appspot.com/11270018/diff/8001/chrome/browser/autofill/autofill_manager.h File chrome/browser/autofill/autofill_manager.h (right): https://chromiumcodereview.appspot.com/11270018/diff/8001/chrome/browser/autofill/autofill_manager.h#newcode230 chrome/browser/autofill/autofill_manager.h:230: void OnRequestAutocomplete(const FormData& form); On 2012/10/26 03:30:52, Ilya Sherman ...
2 years, 6 months ago (2012-10-26 05:51:43 UTC) #11
Dan Beam
jam@: content/ isherman@: chrome/browser/autofill/, chrome/renderer/autofill/
2 years, 6 months ago (2012-10-26 05:52:32 UTC) #12
Dan Beam
+tsepez for security FYI (adding new IPC)
2 years, 6 months ago (2012-10-26 05:57:36 UTC) #13
jam
https://codereview.chromium.org/11270018/diff/11002/chrome/common/autofill_messages.h File chrome/common/autofill_messages.h (right): https://codereview.chromium.org/11270018/diff/11002/chrome/common/autofill_messages.h#newcode140 chrome/common/autofill_messages.h:140: int /* id of this message */, nit: here ...
2 years, 6 months ago (2012-10-26 20:09:37 UTC) #14
Tom Sepez
IPC LGTM.
2 years, 6 months ago (2012-10-26 20:26:58 UTC) #15
Dan Beam
https://codereview.chromium.org/11270018/diff/11002/chrome/common/autofill_messages.h File chrome/common/autofill_messages.h (right): https://codereview.chromium.org/11270018/diff/11002/chrome/common/autofill_messages.h#newcode140 chrome/common/autofill_messages.h:140: int /* id of this message */, On 2012/10/26 ...
2 years, 6 months ago (2012-10-26 20:58:39 UTC) #16
jam
https://codereview.chromium.org/11270018/diff/11002/content/renderer/render_view_impl.h File content/renderer/render_view_impl.h (right): https://codereview.chromium.org/11270018/diff/11002/content/renderer/render_view_impl.h#newcode458 content/renderer/render_view_impl.h:458: virtual void requestAutocomplete(WebKit::WebFrame* frame, On 2012/10/26 20:58:39, Dan Beam ...
2 years, 6 months ago (2012-10-26 21:06:04 UTC) #17
Ilya Sherman
https://codereview.chromium.org/11270018/diff/11002/content/renderer/render_view_impl.h File content/renderer/render_view_impl.h (right): https://codereview.chromium.org/11270018/diff/11002/content/renderer/render_view_impl.h#newcode458 content/renderer/render_view_impl.h:458: virtual void requestAutocomplete(WebKit::WebFrame* frame, On 2012/10/26 21:06:04, John Abd-El-Malek ...
2 years, 6 months ago (2012-10-26 23:18:42 UTC) #18
jam
https://codereview.chromium.org/11270018/diff/11002/content/renderer/render_view_impl.h File content/renderer/render_view_impl.h (right): https://codereview.chromium.org/11270018/diff/11002/content/renderer/render_view_impl.h#newcode458 content/renderer/render_view_impl.h:458: virtual void requestAutocomplete(WebKit::WebFrame* frame, On 2012/10/26 23:18:42, Ilya Sherman ...
2 years, 6 months ago (2012-10-26 23:48:47 UTC) #19
Ilya Sherman
https://codereview.chromium.org/11270018/diff/11002/content/renderer/render_view_impl.h File content/renderer/render_view_impl.h (right): https://codereview.chromium.org/11270018/diff/11002/content/renderer/render_view_impl.h#newcode458 content/renderer/render_view_impl.h:458: virtual void requestAutocomplete(WebKit::WebFrame* frame, On 2012/10/26 23:48:47, John Abd-El-Malek ...
2 years, 6 months ago (2012-10-27 00:33:36 UTC) #20
Dan Beam
ok, now skipping content / renderview* stuff https://codereview.chromium.org/11270018/diff/16010/content/renderer/render_view_impl.h File content/renderer/render_view_impl.h (right): https://codereview.chromium.org/11270018/diff/16010/content/renderer/render_view_impl.h#newcode107 content/renderer/render_view_impl.h:107: class WebFormElement; ...
2 years, 6 months ago (2012-10-27 03:29:23 UTC) #21
Ilya Sherman
https://chromiumcodereview.appspot.com/11270018/diff/16010/chrome/browser/autofill/autofill_manager.h File chrome/browser/autofill/autofill_manager.h (right): https://chromiumcodereview.appspot.com/11270018/diff/16010/chrome/browser/autofill/autofill_manager.h#newcode232 chrome/browser/autofill/autofill_manager.h:232: void OnRequestAutocomplete(int unique_id, const FormData& form); nit: Perhaps "ipc_message_id" ...
2 years, 6 months ago (2012-10-27 07:44:10 UTC) #22
Evan Stade
https://codereview.chromium.org/11270018/diff/16010/chrome/browser/autofill/autofill_manager.cc File chrome/browser/autofill/autofill_manager.cc (right): https://codereview.chromium.org/11270018/diff/16010/chrome/browser/autofill/autofill_manager.cc#newcode812 chrome/browser/autofill/autofill_manager.cc:812: // (https://bugs.webkit.org/show_bug.cgi?id=100557). nit: it doesn't depend on webkit. It's ...
2 years, 6 months ago (2012-10-29 17:54:28 UTC) #23
Ilya Sherman
https://codereview.chromium.org/11270018/diff/16010/chrome/renderer/autofill/autofill_agent.h File chrome/renderer/autofill/autofill_agent.h (right): https://codereview.chromium.org/11270018/diff/16010/chrome/renderer/autofill/autofill_agent.h#newcode188 chrome/renderer/autofill/autofill_agent.h:188: WebKit::WebFormElement form_; On 2012/10/29 17:54:28, Evan Stade wrote: > ...
2 years, 6 months ago (2012-10-29 17:59:22 UTC) #24
Dan Beam
https://codereview.chromium.org/11270018/diff/16010/chrome/browser/autofill/autofill_manager.cc File chrome/browser/autofill/autofill_manager.cc (right): https://codereview.chromium.org/11270018/diff/16010/chrome/browser/autofill/autofill_manager.cc#newcode812 chrome/browser/autofill/autofill_manager.cc:812: // (https://bugs.webkit.org/show_bug.cgi?id=100557). On 2012/10/29 17:54:28, Evan Stade wrote: > ...
2 years, 6 months ago (2012-10-29 19:17:05 UTC) #25
jam
(removing myself as a reviewer) https://codereview.chromium.org/11270018/diff/12002/content/renderer/render_view_impl.h File content/renderer/render_view_impl.h (right): https://codereview.chromium.org/11270018/diff/12002/content/renderer/render_view_impl.h#newcode106 content/renderer/render_view_impl.h:106: class WebFormElement; nit: not ...
2 years, 6 months ago (2012-10-29 19:20:17 UTC) #26
Dan Beam
https://codereview.chromium.org/11270018/diff/12002/content/renderer/render_view_impl.h File content/renderer/render_view_impl.h (right): https://codereview.chromium.org/11270018/diff/12002/content/renderer/render_view_impl.h#newcode106 content/renderer/render_view_impl.h:106: class WebFormElement; On 2012/10/29 19:20:17, John Abd-El-Malek wrote: > ...
2 years, 6 months ago (2012-10-29 19:22:55 UTC) #27
Dan Beam
https://codereview.chromium.org/11270018/diff/16010/chrome/common/autofill_messages.h File chrome/common/autofill_messages.h (right): https://codereview.chromium.org/11270018/diff/16010/chrome/common/autofill_messages.h#newcode201 chrome/common/autofill_messages.h:201: int /* query_id */, On 2012/10/29 19:17:05, Dan Beam ...
2 years, 6 months ago (2012-10-29 20:58:29 UTC) #28
Dan Beam
removed forward and any changes in content/
2 years, 6 months ago (2012-10-29 21:13:46 UTC) #29
Ilya Sherman
LGTM https://chromiumcodereview.appspot.com/11270018/diff/16010/chrome/common/autofill_messages.h File chrome/common/autofill_messages.h (right): https://chromiumcodereview.appspot.com/11270018/diff/16010/chrome/common/autofill_messages.h#newcode201 chrome/common/autofill_messages.h:201: int /* query_id */, On 2012/10/29 19:17:05, Dan ...
2 years, 6 months ago (2012-10-29 21:27:46 UTC) #30
Dan Beam
https://chromiumcodereview.appspot.com/11270018/diff/16010/chrome/renderer/autofill/autofill_agent.cc File chrome/renderer/autofill/autofill_agent.cc (right): https://chromiumcodereview.appspot.com/11270018/diff/16010/chrome/renderer/autofill/autofill_agent.cc#newcode748 chrome/renderer/autofill/autofill_agent.cc:748: web_view->hidePopups(); On 2012/10/29 21:27:47, Ilya Sherman wrote: > On ...
2 years, 6 months ago (2012-10-29 23:08:23 UTC) #31
Dan Beam
+thestig@ for chrome/common, btw
2 years, 6 months ago (2012-10-29 23:08:44 UTC) #32
Lei Zhang
https://chromiumcodereview.appspot.com/11270018/diff/31003/chrome/common/autofill_messages.h File chrome/common/autofill_messages.h (right): https://chromiumcodereview.appspot.com/11270018/diff/31003/chrome/common/autofill_messages.h#newcode136 chrome/common/autofill_messages.h:136: int /* result */) I think you can use ...
2 years, 6 months ago (2012-10-30 00:37:10 UTC) #33
Dan Beam
https://chromiumcodereview.appspot.com/11270018/diff/31003/chrome/common/autofill_messages.h File chrome/common/autofill_messages.h (right): https://chromiumcodereview.appspot.com/11270018/diff/31003/chrome/common/autofill_messages.h#newcode136 chrome/common/autofill_messages.h:136: int /* result */) On 2012/10/30 00:37:11, Lei Zhang ...
2 years, 6 months ago (2012-10-30 00:37:59 UTC) #34
Lei Zhang
lgtm
2 years, 6 months ago (2012-10-30 00:42:03 UTC) #35
Dan Beam
FYI: this is still waiting on the webkit review, but it has changed ever so ...
2 years, 6 months ago (2012-11-02 02:45:25 UTC) #36
Ilya Sherman
https://codereview.chromium.org/11270018/diff/40003/chrome/renderer/autofill/autofill_agent.cc File chrome/renderer/autofill/autofill_agent.cc (right): https://codereview.chromium.org/11270018/diff/40003/chrome/renderer/autofill/autofill_agent.cc#newcode227 chrome/renderer/autofill/autofill_agent.cc:227: WebFormElement non_const_form(form); nit: Seems like we shouldn't be passing ...
2 years, 6 months ago (2012-11-02 02:56:56 UTC) #37
Dan Beam
https://codereview.chromium.org/11270018/diff/40003/chrome/renderer/autofill/autofill_agent.cc File chrome/renderer/autofill/autofill_agent.cc (right): https://codereview.chromium.org/11270018/diff/40003/chrome/renderer/autofill/autofill_agent.cc#newcode227 chrome/renderer/autofill/autofill_agent.cc:227: WebFormElement non_const_form(form); On 2012/11/02 02:56:57, Ilya Sherman wrote: > ...
2 years, 6 months ago (2012-11-02 03:10:15 UTC) #38
Ilya Sherman
https://codereview.chromium.org/11270018/diff/40003/chrome/renderer/autofill/autofill_agent.cc File chrome/renderer/autofill/autofill_agent.cc (right): https://codereview.chromium.org/11270018/diff/40003/chrome/renderer/autofill/autofill_agent.cc#newcode227 chrome/renderer/autofill/autofill_agent.cc:227: WebFormElement non_const_form(form); On 2012/11/02 03:10:15, Dan Beam wrote: > ...
2 years, 6 months ago (2012-11-02 03:24:44 UTC) #39
Dan Beam
https://codereview.chromium.org/11270018/diff/40003/chrome/renderer/autofill/autofill_agent.cc File chrome/renderer/autofill/autofill_agent.cc (right): https://codereview.chromium.org/11270018/diff/40003/chrome/renderer/autofill/autofill_agent.cc#newcode607 chrome/renderer/autofill/autofill_agent.cc:607: return; On 2012/11/02 03:24:45, Ilya Sherman wrote: > On ...
2 years, 6 months ago (2012-11-02 21:06:08 UTC) #40
Dan Beam
https://codereview.chromium.org/11270018/diff/40003/chrome/renderer/autofill/autofill_agent.cc File chrome/renderer/autofill/autofill_agent.cc (right): https://codereview.chromium.org/11270018/diff/40003/chrome/renderer/autofill/autofill_agent.cc#newcode227 chrome/renderer/autofill/autofill_agent.cc:227: WebFormElement non_const_form(form); On 2012/11/02 03:24:45, Ilya Sherman wrote: > ...
2 years, 6 months ago (2012-11-02 22:37:54 UTC) #41
Ilya Sherman
https://codereview.chromium.org/11270018/diff/40003/chrome/renderer/autofill/autofill_agent.cc File chrome/renderer/autofill/autofill_agent.cc (right): https://codereview.chromium.org/11270018/diff/40003/chrome/renderer/autofill/autofill_agent.cc#newcode227 chrome/renderer/autofill/autofill_agent.cc:227: WebFormElement non_const_form(form); On 2012/11/02 22:37:55, Dan Beam wrote: > ...
2 years, 6 months ago (2012-11-02 22:47:36 UTC) #42
I haz the power - commit-bot
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/dbeam@chromium.org/11270018/47002
2 years, 6 months ago (2012-11-05 18:29:26 UTC) #43
I haz the power - commit-bot
2 years, 6 months ago (2012-11-05 20:36:09 UTC) #44
Change committed as 166019
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld ec887be